                 (* S_Constants.pas *)

unit s_constants;

interface

const pmax   =  80; (* maximum number of parameters *)
(* AA change *)      ccmax  = 800; (* maximum total number of statistics *)
      ninta  =   4; (* number of interaction effects for each dependent behavior variable *)
      nintn  =  10; (* number of interaction effects for each dependent network variable *)
{$if defined(linux)}
      eol: string = #10;
{$else}
      eol: string = #13#10;
{$ifend}
type
     CRarray = array[1..ccmax] of real;
     BBarray = array[0..ccmax] of Boolean;
     SSarray = array[0..ccmax] of string[60];
     SSIarray = array[1..ccmax] of integer;
     SBYarray = array[1..ccmax] of integer;
     pVec = array[1..pmax] of real;
     pMatrix = array[1..pmax,1..pmax] of real;
     pBVec = array[1..pmax] of Boolean;
     pWordVec = array[1..(pmax+1)] of Word;
(* upper bound is pmax+1 for use in ActionStatistics *)

implementation

end.
